List evaluators
curl --request GET \
--url https://api.cekura.ai/test_framework/v1/scenarios/ \
--header 'X-CEKURA-API-KEY: <api-key>'import requests
url = "https://api.cekura.ai/test_framework/v1/scenarios/"
headers = {"X-CEKURA-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-CEKURA-API-KEY': '<api-key>'}};
fetch('https://api.cekura.ai/test_framework/v1/scenarios/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"results": [
{
"name": "<string>",
"instructions": "<string>",
"agent": 123,
"id": 123,
"personality": 123,
"personality_name": "<string>",
"agent_name": "<string>",
"phone_number": "<string>",
"expected_outcome_prompt": "<string>",
"scenario_language": "af",
"scenario_type": "instruction",
"tags": "<unknown>",
"inbound_phone_number": 123,
"inbound_phone_number_data": "<string>",
"metrics": "<string>",
"metric_names": "<string>",
"first_message": "Hello",
"tool_ids": "<unknown>",
"test_profile": 123,
"test_profile_data": {
"name": "<string>",
"id": 123,
"project": 123,
"agent": 123,
"agent_name": "<string>",
"information": "<unknown>",
"created_by": 123,
"last_updated_by": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"dynamic_variable_values": "<unknown>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": 123,
"last_updated_by": 123,
"folder_path": "<string>"
}
],
"next": "https://api.cekura.ai/example/v1/example-external/?page=4",
"previous": "https://api.cekura.ai/example/v1/example-external/?page=3"
}Evaluators
List Evaluators
List test scenarios
GET
/
test_framework
/
v1
/
scenarios
/
List evaluators
Authorizations
api_keyoauth2supabase_session
API Key Authentication. It should be included in the header of each request.
Query Parameters
A page number within the paginated result set.
Number of results to return per page.
Filter evaluators by agent ID
Example: 2142
Filter evaluators by project ID
Example: 1
Filter evaluators by assistant ID
Example: asst_1234567890
Minimum string length:
1Comma-separated list of tags to filter evaluators by
Example: tag1,tag2,tag3
Minimum string length:
1Filter operation type for tags
and- andor- ornot- not
Available options:
and, or, not Minimum string length:
1Filter evaluators by folder path. Use empty string to get evaluators without a folder.
Example: Sales.Inbound